
INDIR="/home/tiger/xgiga_dumpEmb_proj/embedding"
output="proj_ln.out"
rm $output
for k in 3 5 300 1024
do
    for split in dev
    do
        name="proj_${k}_$split"
        echo $name >> $output

        slg=en
        tlg=fr
        command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_samespace_${k}_${split}_${slg}/document_embedding.jsonl /home/tiger/xgiga_dumpEmb_proj/embedding/proj_samespace_${k}_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_samespace_woln/${slg}_${tlg} -n $name"
        echo $command
        $command
    
        slg=en
        tlg=zh
        command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_samespace_${k}_${split}_${slg}/document_embedding.jsonl /home/tiger/xgiga_dumpEmb_proj/embedding/proj_samespace_${k}_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_samespace_woln/${slg}_${tlg} -n $name"
        echo $command
        $command

        # slg=fr
        # tlg=zh
        # command="python3 ../visualizeEmb.py -m visualizeDocEmbPair --system-files /home/tiger/xgiga_dumpEmb_proj/embedding/proj_samespace_${k}_${split}_${slg}/document_embedding.jsonl /home/tiger/xgiga_dumpEmb_proj/embedding/proj_samespace_${k}_${split}_${tlg}/document_embedding.jsonl -o /opt/tiger/sumtest/clg_graphs_samespace_woln/${slg}_${tlg} -n $name"
        # echo $command
        # $command
    done
done
